summaryrefslogtreecommitdiff
path: root/include/inject.sh
diff options
context:
space:
mode:
Diffstat (limited to 'include/inject.sh')
-rw-r--r--include/inject.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/include/inject.sh b/include/inject.sh
index 6a1b0768..b61ad9d5 100644
--- a/include/inject.sh
+++ b/include/inject.sh
@@ -6,7 +6,7 @@
cbcfgsdir="config/coreboot"
tmpromdel="$XBMK_CACHE/DO_NOT_FLASH"
-nvm="util/nvmutil/nvm"
+nvmutil="util/libreboot-utils/nvmutil"
ifdtool="elf/coreboot/default/ifdtool"
checkvars="CONFIG_GBE_BIN_PATH"
@@ -197,16 +197,16 @@ modify_mac()
x_ cp "${CONFIG_GBE_BIN_PATH##*../}" "$xbtmp/gbe"
if [ -n "$new_mac" ] && [ "$new_mac" != "restore" ]; then
- x_ make -C util/nvmutil clean
- x_ make -C util/nvmutil
+ x_ make -C util/libreboot-utils clean
+ x_ make -C util/libreboot-utils
- x_ "$nvm" "$xbtmp/gbe" setmac "$new_mac"
+ x_ "$nvmutil" "$xbtmp/gbe" setmac "$new_mac"
fi
fx_ newmac x_ find "$tmpromdir" -maxdepth 1 -type f -name "*.rom"
printf "\nThe following GbE NVM data will be written:\n"
- x_ "$nvm" "$xbtmp/gbe" dump | grep -v "bytes read from file" || :
+ x_ "$nvmutil" "$xbtmp/gbe" dump | grep -v "bytes read from file" || :
}
newmac()